## com.ibm.lab.soln.resources
Class ResourceDeltaPrinter

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.ResourceDeltaPrinter

All Implemented Interfaces:
  org.eclipse.core.resources.IResourceDeltaVisitor

public class ResourceDeltaPrinter
extends java.lang.Object
implements org.eclipse.core.resources.IResourceDeltaVisitor

Visitor for `IResourceDelta` to find content and information and print trace messages to show this during a testing cycle. Use this as a visitor for a builder or a resource change listener to find out more about the content of the `IResourceDelta`.

Constructor Summary
`ResourceDeltaPrinter()` Default constructor which sets a default mode value.
`ResourceDeltaPrinter(java.lang.String mode)` Alternate constructor to set an alternate prefix mode that will be used for console message tagging.

Method Summary
`void` | `processMarkerSet(org.eclipse.core.resources.IResource res, org.eclipse.core.resources.IResourceDelta delta)` Prints delta marker information messages to the console
`void` | `testFlags(int eventFlag)` Prints delta event kind messages to the console
`boolean` | `visit(org.eclipse.core.resources.IResourceDelta delta)` Visits the given resource delta and prints trace statements to indicate content of the delta.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDeltaPrinter

    public ResourceDeltaPrinter()

  Default constructor which sets a default mode value. Mode is used to tag messages to the console to help visualize the trace data generated.

### ResourceDeltaPrinter

    public ResourceDeltaPrinter(java.lang.String mode)

  Alternate constructor to set an alternate prefix mode that will be used for console message tagging.

Method Detail

### processMarkerSet

    public void processMarkerSet(org.eclipse.core.resources.IResource res,
                                 org.eclipse.core.resources.IResourceDelta delta)
                          throws org.eclipse.core.runtime.CoreException

  Prints delta marker information messages to the console

### testFlags

    public void testFlags(int eventFlag)

  Prints delta event kind messages to the console

### visit

    public boolean visit(org.eclipse.core.resources.IResourceDelta delta)

  Visits the given resource delta and prints trace statements to indicate content of the delta. Follows markers when they exist in the delta.
  Specified by:
    `visit` in interface `org.eclipse.core.resources.IResourceDeltaVisitor`
  Returns:
    `true` if the resource delta's children should be visited; `false` if they should be skipped.